summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <petar.petrov@student.oulu.fi>2015-06-27 23:17:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-27 23:17:02 +0700
commitd563c04409cb5da495a2c171380309265b49d4cc (patch)
tree76f16ecb1b6d0ba18a9fdad8309dfb05394ac7e5
parent792687119d80afdc341db014299950c1702fb1c8 (diff)
downloadslackbuilds-d563c04409cb5da495a2c171380309265b49d4cc.tar.gz
slackbuilds-d563c04409cb5da495a2c171380309265b49d4cc.tar.xz
office/referencer: Added (Organize documents or references).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/referencer/README11
-rw-r--r--office/referencer/doinst.sh13
-rw-r--r--office/referencer/referencer.SlackBuild100
-rw-r--r--office/referencer/referencer.info10
-rw-r--r--office/referencer/slack-desc19
5 files changed, 153 insertions, 0 deletions
diff --git a/office/referencer/README b/office/referencer/README
new file mode 100644
index 0000000000..229d75b3c4
--- /dev/null
+++ b/office/referencer/README
@@ -0,0 +1,11 @@
+Referencer is a GNOME application to organize documents or references,
+and ultimately generate a BibTeX bibliography file.
+
+Referencer includes a number of features to make this process easier:
+
+1) Automatic metadata retrieval from PubMed, CrossRef and ArXiv
+2) Smart web links
+3) Import from BibTeX, Reference Manager and EndNote
+4) Tagging
+
+An optional, run-time dependency is yelp.
diff --git a/office/referencer/doinst.sh b/office/referencer/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/office/referencer/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/referencer/referencer.SlackBuild b/office/referencer/referencer.SlackBuild
new file mode 100644
index 0000000000..99e152144c
--- /dev/null
+++ b/office/referencer/referencer.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for referencer
+
+# Copyright 2015 Petar Petrov petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=referencer
+VERSION=${VERSION:-1.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-update-mime-database \
+ --enable-python \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/referencer/referencer.info b/office/referencer/referencer.info
new file mode 100644
index 0000000000..bae8cec082
--- /dev/null
+++ b/office/referencer/referencer.info
@@ -0,0 +1,10 @@
+PRGNAM="referencer"
+VERSION="1.2.2"
+HOMEPAGE="https://launchpad.net/referencer"
+DOWNLOAD="https://launchpad.net/referencer/1./1.2.2/+download/referencer-1.2.2.tar.gz"
+MD5SUM="d7021937a3d481edc3d8d540eec950cd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libgnomeuimm rarian"
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/office/referencer/slack-desc b/office/referencer/slack-desc
new file mode 100644
index 0000000000..5a1dc13a00
--- /dev/null
+++ b/office/referencer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+referencer: referencer (Organize documents or references)
+referencer:
+referencer: Referencer is a GNOME application to organize documents or
+referencer: references, and ultimately generate a BibTeX bibliography
+referencer: file.
+referencer:
+referencer: https://launchpad.net/referencer
+referencer:
+referencer:
+referencer:
+referencer: